]> git.sur5r.net Git - u-boot/blobdiff - test/run
arm: socfpga: Enhance FPGA program write rbf data with size >= 4 bytes
[u-boot] / test / run
index a6dcf8f44fcfbda238355d82f7fbb142a66b4833..caee4f83f2c147fd5194659fc89ae97c0dc4d44e 100755 (executable)
--- a/test/run
+++ b/test/run
@@ -1,4 +1,24 @@
-#!/bin/sh
+#!/bin/bash
 
-# Run all tests
-./test/py/test.py --bd sandbox --build
+run_test() {
+       $@
+       [ $? -ne 0 ] && result=$((result+1))
+       echo "result $result"
+}
+
+# Run all tests that the standard sandbox build can support
+run_test ./test/py/test.py --bd sandbox --build
+
+# Run tests which require sandbox_spl
+run_test ./test/py/test.py --bd sandbox_spl --build -k \
+               test/py/tests/test_ofplatdata.py
+
+# Run tests for the flat DT version of sandbox
+./test/py/test.py --bd sandbox_flattree --build
+
+if [ $result == 0 ]; then
+       echo "Tests passed!"
+else
+       echo "Tests FAILED"
+       exit 1
+fi